%define oname   linecache

Name:       ruby-%{oname}
Version:    0.43
Release:    %mkrel 5
Summary:    Read file with caching
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/rocky-hacks/linecache
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     linecache-0.43-fix-wrong-include.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8

%description
LineCache is a module for reading and caching lines. This may be useful for
example in a debugger where the same lines are shown many times.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*
%{ruby_vendorarchdir}/trace_nums.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc README
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/*.rb

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/README

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Thu Mar 24 2011 shikamaru <shikamaru> 0.43-5.mga1
+ Revision: 77121
- move files to vendor{lib,arch}dir and fix file list

* Thu Jan 27 2011 shikamaru <shikamaru> 0.43-4.mga1
+ Revision: 42298
- Fix wrong require that caused the module to fail to load

* Thu Jan 27 2011 shikamaru <shikamaru> 0.43-3.mga1
+ Revision: 42277
- imported package ruby-linecache


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.43-3mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.43-2mdv2011.0
+ Revision: 623510
- fix build
- import rubygem-linecache

